org.apache.lucene.codecs

## Class FieldsProducer

- java.lang.Object
- - org.apache.lucene.index.Fields
  - - org.apache.lucene.codecs.FieldsProducer

All Implemented Interfaces:
  Closeable, AutoCloseable, Iterable<String>

Direct Known Subclasses:
  BlockTreeTermsReader

    public abstract class FieldsProducer
    extends Fields
    implements Closeable

Abstract API that produces terms, doc, freq, prox, offset and payloads postings.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.index.Fields

`EMPTY_ARRAY`

### Constructor Summary

Constructors
`protected` `FieldsProducer()` Sole constructor.

### Method Summary

Methods
`abstract void` `close()`

### Methods inherited from class org.apache.lucene.index.Fields

`getUniqueTermCount, iterator, size, terms`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldsProducer

    protected FieldsProducer()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### close

    public abstract void close()
                        throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`